<template>
  <div class="resultados">
    <BarraBusqueda />
    <div class="resultados_lista">
      <Breadcrumb/>    
      <div v-for="item in items">
        <Resultado :producto="item"/>  
      </div>
    </div>
    
  </div>
</template>

<script>
// @ is an alias to /src
import BarraBusqueda from "../components/BarraBusqueda.vue";
import Breadcrumb from "../components/Breadcrumb.vue";
import Resultado from "../components/Resultado.vue";
import ItemsService from '../../services/ItemsService.js';

export default {
  name: 'resultados',
  components: {
    BarraBusqueda,
    Breadcrumb,
    Resultado
  },
  data () {
    return {
      items: []
    }
  },
  mounted () {
    this.getItems(this.$route.query)
  },
  methods: {
    async getItems (search) {
      const response = await ItemsService.fetchItems(search);
      this.items = response.data.results;
      console.log(this.items);
    }
  }
}
</script>

<style lang="scss">
@import "../styles/main.scss";
  .resultados{
    background-color: $light-gray;
    height: 100%;
    &_lista{
      margin: 16px 0;
    }
  }
</style>

